function lowerBound(lft, rht, check) {
    let i = lft;
    for (let j = rht; i < j;) {
        const mid = (i + j) >> 1;
        if (check(mid) < 0)
            i = mid + 1;
        else
            j = mid;
    }
    return i;
}
function lowerBoundBigint(lft, rht, check) {
    let i = lft;
    for (let j = rht; i < j;) {
        const mid = (i + j) >> 1n;
        if (check(mid) < 0)
            i = mid + 1n;
        else
            j = mid;
    }
    return i;
}

export { lowerBound as default, lowerBound, lowerBoundBigint };
